Subject: CORRECTION - [RRG] Re: BGP path hunting, MRAI timer and Path Length Damping

From: [email-masked]
Date: Thu, 21 Jun 2007 09:10:32 -0400

Correction:

"The latest recommendation per RFC 4271 is not to apply
MRAI to withdrawals." was a typo on my part.
It should read:
"The latest recommendation per RFC 4271 is to apply
MRAI to withdrawals also (in addition to route advertisements)." 

Sorry about this typo.

Sriram

Quoting [email-masked]:

> I have learned the following about MRAI since I sent my email yesterday. 
> It appears that the recommendation about whether or not to 
> apply MRAI to withdrawals went through a change from 
> RFC 1771 to RFC 4271 (4271 obsoletes 1771).
> The reasons for the change are not clear to me. 
> The latest recommendation per RFC 4271 is to apply
> MRAI to withdrawals also. RFC 4271 was issued relatively recently
> in January 2006. And as late as June 2005 another RFC 4098 
> (on benchmarking BGP convergence) cited RFC 1771 and
> stated that MRAI did not apply to explicit withdrawals (in Section 3.12):  
> 
> 3.12.  MinRouteAdvertisementInterval (MRAI)
> 
>     Definition:
>        (Paraphrased from RFC 1771) The MRAI timer determines the minimum
>        time between advertisements of routes to a particular destination
>        (prefix) from a single BGP device.  The timer is applied on a
>        pre-prefix basis, although the timer is set on a per-BGP device
>        basis.
> 
>     Discussion:
>        Given that a BGP instance may manage in excess of 100,000 routes,
>        RFC 1771 allows for a degree of optimization in order to limit the
>        number of timers needed.  The MRAI does not apply to routes
>        received from BGP speakers in the same AS or to explicit
>        withdrawals.  RFC 1771 also recommends that random jitter is
>        applied to MRAI in an attempt to avoid synchronization effects
>        between the BGP instances in a network.  In this document, we
>        define routing plane convergence by measuring from the time an
>        NLRI is advertised to the DUT to the time it is advertised from
>        the DUT.  Clearly any delay inserted by the MRAI will have a
>        significant effect on this measurement.
> 
> Based on this one might infer that BGP routers have implemented
> "not applying MRAI to withdrawals" for a fairly long time (prior to RFC
> 4271).
> To what extent have router vendors updated and deployed the MRAI 
> per RFC 4271 (so that MRAI does indeed apply to withdrawals)?   
> Tony: Can you please share with us your thoughts on this?
> 
> I certainly like the PLD proposal and also Geoff's additional suggestions
> in his recent paper, and suggest that a careful further 
> investigation be done of these methods to see if there are 
> any inter-dependencies with the way MRAI is implemented.
> I like to see "MRAI not applied to withdrawals" for reasons I
> stated in my previous email (although it goes against RFC 4271).
> I also think that Robin's explanations about inherent MRAI-based damping
> of AA+ type of updates is further strengthened if
> MRAI did not apply to withdrawals.  
> 
> Sriram
> -------------------------------------------------------------
> Quoting Robin Whittle <[email-masked]>:
> 
> > I am finalising some technical writing explaining path hunting,
> > based on the understanding I initially gained from Geoff's
> > article - but looking more closely, my understanding of what
> > would happen doesn't match Geoff's diagram.
> > 
> > I don't see how Geoff's example, with my understanding of BGP
> > and its MRAI timer, would lead to something resembling Tony's
> > explanation either.
> > 
> > I am keen to establish whether Geoff's explanation is realistic
> > or not.  My understanding of Sriram's message is that he thinks
> > it is not.
> > 
> > Tony, can you advise on this?  Anyone else?
> > 
> > The second question is whether the MRAI timer applies to
> > withdrawals.  I think it does (as I explain below), but Sriram
> > thinks not.
> > 
> > 
> 
> 
> 
> 
> --
> to unsubscribe send a message to [email-masked] with the
> word 'unsubscribe' in a single line as the message text body.
> archive: <http://psg.com/lists/rrg/> & ftp://psg.com/pub/lists/rrg
> 

--
to unsubscribe send a message to [email-masked] with the
word 'unsubscribe' in a single line as the message text body.
archive: <http://psg.com/lists/rrg/> & ftp://psg.com/pub/lists/rrg